Bug 457398 - kernel module b43 crashes
kernel module b43 crashes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-31 09:15 EDT by James Haydon
Modified: 2009-07-14 11:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:53:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Haydon 2008-07-31 09:15:54 EDT
Description of problem:
B43 module of the kernel crashes

Version-Release number of selected component (if applicable):
2.6.25.11-97.fc9.i686

How reproducible:
It's intermittent 

Steps to Reproduce:
1. Switch the network connection to wired using knetwork.
2. Wait
3.
  
Actual results:

Message from syslogd@localhost at Jul 31 09:01:14 ...
 kernel:Disabling IRQ #21

Message from syslogd@localhost at Jul 31 09:01:15 ...
 kernel:Oops: 0000 [#1] SMP 

Message from syslogd@localhost at Jul 31 09:01:15 ...
 kernel:Process b43 (pid: 1274, ti=f6ffa000 task=f6f94e70 task.ti=f6ffa000)

Message from syslogd@localhost at Jul 31 09:01:15 ...
 kernel:Stack: e12a1540 f6fcb1a0 f6fcbe68 f8aa75b0 c079123c f6fcbe60 c0794280
c0794280 

Message from syslogd@localhost at Jul 31 09:01:15 ...
 kernel:       01f94e70 f6fcb1a0 f8aa75b0 f8aa752c f6ffaf78 f8a5c12e f6fcb1a0
f6ffaf90 

Message from syslogd@localhost at Jul 31 09:01:15 ...
 kernel:       f8a65026 f6fc9000 f6d5cc80 f6fcb880 f8a64f3b f6ffafa8 c0434de5
f6d5cc84 

Message from syslogd@localhost at Jul 31 09:01:15 ...
 kernel:Call Trace:

Message from syslogd@localhost at Jul 31 09:01:15 ...
 kernel: [<f8a5c12e>] ? ieee80211_hw_config+0x4e/0x51 [mac80211]

Message from syslogd@localhost at Jul 31 09:01:15 ...
 kernel: [<f8a65026>] ? ieee80211_sta_scan_work+0xeb/0x1a6 [mac80211]

Message from syslogd@localhost at Jul 31 09:01:15 ...
 kernel: [<f8a64f3b>] ? ieee80211_sta_scan_work+0x0/0x1a6 [mac80211]

Message from syslogd@localhost at Jul 31 09:01:15 ...
 kernel: [<c0434de5>] ? run_workqueue+0x7c/0xfb

Message from syslogd@localhost at Jul 31 09:01:15 ...
 kernel: [<c0434f1a>] ? worker_thread+0xb6/0xc2

Message from syslogd@localhost at Jul 31 09:01:15 ...
 kernel: [<c0437b2b>] ? autoremove_wake_function+0x0/0x33

Message from syslogd@localhost at Jul 31 09:01:15 ...
 kernel: [<c0434e64>] ? worker_thread+0x0/0xc2

Message from syslogd@localhost at Jul 31 09:01:15 ...
 kernel: [<c04378c9>] ? kthread+0x3b/0x61

Message from syslogd@localhost at Jul 31 09:01:15 ...
 kernel: [<c043788e>] ? kthread+0x0/0x61

Message from syslogd@localhost at Jul 31 09:01:15 ...
 kernel: [<c0406823>] ? kernel_thread_helper+0x7/0x10

Message from syslogd@localhost at Jul 31 09:01:15 ...
 kernel: =======================

Message from syslogd@localhost at Jul 31 09:01:15 ...
 kernel:Code: 11 04 00 00 8a 5d f3 38 5f 1a 0f 84 34 01 00 00 e8 4e b7 ff ff 50
68 89 13 aa f8 ff 75 e4 e8 fa cf ff ff 8b 45 e4 8b 18 83 c4 0c <8b> 53 08 89 55
ec 4a 7e 07 89 d8 e8 b6 dd ff ff 83 7d ec 00 7e 

Message from syslogd@localhost at Jul 31 09:01:15 ...
 kernel:EIP: [<f8a8eca6>] b43_op_config+0xed/0x4e9 [b43] SS:ESP 0068:f6ffaf3c


Expected results:
Nothing

Additional info:
It does not seem to disable the machine.  I just get a bug report.
Comment 1 Bug Zapper 2009-06-09 22:19:21 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 11:53:23 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.